Package: groovy.xml.slurpersupport

## [Java] Class NamespaceAwareHashMap

- groovy.xml.slurpersupport.NamespaceAwareHashMap

-     public class NamespaceAwareHashMap
      extends HashMap

  Attribute map that resolves namespace-prefixed keys into QName-style names on demand.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `containsKey(Object key)` {@inheritDoc}
    `` | `public String` | `get(Object key)` {@inheritDoc}
    `` | `public Map` | `getNamespaceTagHints()` Returns the prefix hints used for key normalization.
    `` | `public String` | `put(String key, String value)` {@inheritDoc}
    `` | `public void` | `putAll(Map<? extends String, ? extends String> m)` {@inheritDoc}
    `` | `public String` | `remove(Object key)` {@inheritDoc}
    `` | `public void` | `setNamespaceTagHints(Map namespaceTagHints)` Sets the prefix-to-namespace hints used to normalize prefixed keys.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getClass, getOrDefault, hashCode, isEmpty, keySet, merge, notify, notifyAll, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values, wait, wait, wait`

- - ### Method Detail

    - #### public boolean containsKey(Object key)

      {@inheritDoc}

    - #### public String get(Object key)

      {@inheritDoc}

    - #### public Map getNamespaceTagHints()

      Returns the prefix hints used for key normalization.

      Returns:
        namespace prefix hints

    - #### public String put(String key, String value)

      {@inheritDoc}

    - #### public void putAll(Map<? extends String, ? extends String> m)

      {@inheritDoc}

    - #### public String remove(Object key)

      {@inheritDoc}

    - #### public void setNamespaceTagHints(Map namespaceTagHints)

      Sets the prefix-to-namespace hints used to normalize prefixed keys.

      Parameters:
        `namespaceTagHints` - known namespace prefix mappings